diff -Nurd PkgConfig-0.25026.orig/lib/PkgConfig.pm PkgConfig-0.25026/lib/PkgConfig.pm
--- PkgConfig-0.25026.orig/lib/PkgConfig.pm	2020-11-11 05:32:17.000000000 -0500
+++ PkgConfig-0.25026/lib/PkgConfig.pm	2022-05-25 19:59:59.000000000 -0400
@@ -64,11 +64,7 @@
 ################################################################################
 ### Sane Defaults                                                            ###
 ################################################################################
-our @DEFAULT_SEARCH_PATH = qw(
-    /usr/local/lib/pkgconfig /usr/local/share/pkgconfig
-    /usr/lib/pkgconfig /usr/share/pkgconfig
-
-);
+our @DEFAULT_SEARCH_PATH = ( @FINK_DEFAULT_SEARCH_PATH@ );
 
 our @DEFAULT_EXCLUDE_CFLAGS = qw(-I/usr/include -I/usr/local/include);
 # don't include default link/search paths!
@@ -354,7 +350,7 @@
             "-I$path/lib/pkgconfig/../../include",
         );
     }
-} elsif($^O eq 'darwin') {
+} elsif($^O eq 'darwin_no_do_not_autodetect_brew') {
 
     if(-x '/usr/local/Homebrew/bin/brew') {
         # Mac OS X with homebrew installed
diff -Nurd PkgConfig-0.25026.orig/script/pkg-config PkgConfig-0.25026/script/pkg-config
--- PkgConfig-0.25026.orig/script/pkg-config	2020-11-11 05:32:17.000000000 -0500
+++ PkgConfig-0.25026/script/pkg-config	2022-05-25 19:59:48.000000000 -0400
@@ -64,11 +64,7 @@
 ################################################################################
 ### Sane Defaults                                                            ###
 ################################################################################
-our @DEFAULT_SEARCH_PATH = qw(
-    /usr/local/lib/pkgconfig /usr/local/share/pkgconfig
-    /usr/lib/pkgconfig /usr/share/pkgconfig
-
-);
+our @DEFAULT_SEARCH_PATH = ( @FINK_DEFAULT_SEARCH_PATH@ );
 
 our @DEFAULT_EXCLUDE_CFLAGS = qw(-I/usr/include -I/usr/local/include);
 # don't include default link/search paths!
@@ -354,7 +350,7 @@
             "-I$path/lib/pkgconfig/../../include",
         );
     }
-} elsif($^O eq 'darwin') {
+} elsif($^O eq 'darwin_no_do_not_autodetect_brew') {
 
     if(-x '/usr/local/Homebrew/bin/brew') {
         # Mac OS X with homebrew installed
diff -Nurd PkgConfig-0.25026.orig/script/pkg-config.pl PkgConfig-0.25026/script/pkg-config.pl
--- PkgConfig-0.25026.orig/script/pkg-config.pl	2020-11-11 05:32:17.000000000 -0500
+++ PkgConfig-0.25026/script/pkg-config.pl	2022-05-25 19:59:50.000000000 -0400
@@ -64,11 +64,7 @@
 ################################################################################
 ### Sane Defaults                                                            ###
 ################################################################################
-our @DEFAULT_SEARCH_PATH = qw(
-    /usr/local/lib/pkgconfig /usr/local/share/pkgconfig
-    /usr/lib/pkgconfig /usr/share/pkgconfig
-
-);
+our @DEFAULT_SEARCH_PATH = ( @FINK_DEFAULT_SEARCH_PATH@ );
 
 our @DEFAULT_EXCLUDE_CFLAGS = qw(-I/usr/include -I/usr/local/include);
 # don't include default link/search paths!
@@ -354,7 +350,7 @@
             "-I$path/lib/pkgconfig/../../include",
         );
     }
-} elsif($^O eq 'darwin') {
+} elsif($^O eq 'darwin_no_do_not_autodetect_brew') {
 
     if(-x '/usr/local/Homebrew/bin/brew') {
         # Mac OS X with homebrew installed
diff -Nurd PkgConfig-0.25026.orig/script/ppkg-config PkgConfig-0.25026/script/ppkg-config
--- PkgConfig-0.25026.orig/script/ppkg-config	2020-11-11 05:32:17.000000000 -0500
+++ PkgConfig-0.25026/script/ppkg-config	2022-05-25 19:59:34.000000000 -0400
@@ -64,11 +64,7 @@
 ################################################################################
 ### Sane Defaults                                                            ###
 ################################################################################
-our @DEFAULT_SEARCH_PATH = qw(
-    /usr/local/lib/pkgconfig /usr/local/share/pkgconfig
-    /usr/lib/pkgconfig /usr/share/pkgconfig
-
-);
+our @DEFAULT_SEARCH_PATH = ( @FINK_DEFAULT_SEARCH_PATH@ );
 
 our @DEFAULT_EXCLUDE_CFLAGS = qw(-I/usr/include -I/usr/local/include);
 # don't include default link/search paths!
@@ -354,7 +350,7 @@
             "-I$path/lib/pkgconfig/../../include",
         );
     }
-} elsif($^O eq 'darwin') {
+} elsif($^O eq 'darwin_no_do_not_autodetect_brew') {
 
     if(-x '/usr/local/Homebrew/bin/brew') {
         # Mac OS X with homebrew installed
